Go to the latest version of this document.

# ``twisted`.`protocols`.`ident``

module documentation
(source)

Ident protocol implementation.

Class | `IdentClient` | No class docstring; 0/1 instance variable, 0/1 class variable, 1/5 method documented
Class | `IdentServer` | The Identification Protocol (a.k.a., "ident", a.k.a., "the Ident Protocol") provides a means to determine the identity of a user of a particular TCP connection. Given a TCP port number pair, it returns a character string which identifies the owner of that connection on the server's system.
Class | `ProcServerMixin` | Implements lookup() to grab entries for responses from /proc/net/tcp
Exception | `HiddenUser` | The server was able to identify the user of this port, but the information was not returned at the request of the user.
Exception | `IdentError` | Can't determine connection owner; reason unknown.
Exception | `InvalidPort` | Either the local or foreign port was improperly specified. This should be returned if either or both of the port ids were out of range (TCP port numbers are from 1-65535), negative integers, reals or in any fashion not recognized as a non-negative integer.
Exception | `NoUser` | The connection specified by the port pair is not currently in use or currently not owned by an identifiable entity.
Constant | `_MAX_PORT` | Undocumented
Constant | `_MIN_PORT` | Undocumented

_MAX_PORT = (source)

Undocumented

Value

    2 ** 16 - 1

_MIN_PORT: `int` = (source)

Undocumented

Value

    1